using System;
using System.Collections.Generic;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Text;
using System.Threading;

using Smdn.IO;

namespace Smdn.Net.Imap4 {
  public class ImapPseudoServer : IDisposable {
    private ImapPseudoServer2 server;

    public IPEndPoint ServerEndPoint {
      get { return server.ServerEndPoint; }
    }

    public string Host {
      get { return server.Host; }
    }

    public int Port {
      get { return server.Port; }
    }

    public string HostPort {
      get { return server.HostPort; }
    }

    public ImapPseudoServer()
    {
      server = new ImapPseudoServer2();
    }

    public void Start()
    {
      server.Start();
    }

    void IDisposable.Dispose()
    {
      (server as IDisposable).Dispose();
    }

    public void SetGreetingResponse(string greeting)
    {
      server.SetGreetingResponse(greeting);
    }

    public void EnqueueResponse(string response)
    {
      server.EnqueueResponse(response);
    }

    public void EnqueueTaggedResponse(string response)
    {
      server.EnqueueTaggedResponse(response);
    }

    public string DequeueRequest()
    {
      return server.DequeueRequest();
    }

    public string DequeueRequest(Encoding encoding)
    {
      return server.DequeueRequest(encoding);
    }
  }
}